## org.apache.bcel.generic
Class DSTORE

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.LocalVariableInstruction
              org.apache.bcel.generic.StoreInstruction
                  org.apache.bcel.generic.DSTORE

All Implemented Interfaces:
  Serializable, Cloneable, IndexedInstruction, PopInstruction, StackConsumer, TypedInstruction

    public class DSTORE

extends StoreInstruction

DSTORE - Store double into local variable

    Stack: ..., value.word1, value.word2 -> ...

Version:
  $Id: DSTORE.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.LocalVariableInstruction
`n`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`DSTORE(int n)` Store double into local variable

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).

Methods inherited from class org.apache.bcel.generic.LocalVariableInstruction
`dump, getCanonicalTag, getIndex, getType, initFromFile, setIndex, toString`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### DSTORE

    public DSTORE(int n)

  Store double into local variable

  Parameters:
    `n` - index of local variable

Method Detail

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Overrides:
    `accept` in class `StoreInstruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.